Package ru.bitel.bgbilling.kernel.contract.api.common.bean.parameter

# Class ContractParameterGroup

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.EntitySpec
ru.bitel.bgbilling.kernel.contract.api.common.bean.parameter.ContractParameterGroup

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractParameterGroup extends EntitySpec
Группа параметров договора. Состоит из имени и списка параметров.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractParameterGroup()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractParameterGroup`
  `setAttributeList(List<? extends AbstractSpecAttr> attributes)`
  `ContractParameterGroup`
  `setId(int id)`
  Устанавливает id объекта
  `ContractParameterGroup`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.EntitySpec

  `createEntityTitle, createEntityTitle, getAttributeList, getComment, getEntitySpecTypeId, getEntityTitleMacros, getModuleIds, isHidden, setComment, setEntitySpecTypeId, setEntityTitleMacros, setHidden, setModuleIds, toEntitySpecDTO`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractParameterGroup

    public ContractParameterGroup()

- ## Method Details

  - ### setId

    public ContractParameterGroup setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `EntitySpec`

  - ### setTitle

    public ContractParameterGroup setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `EntitySpec`

  - ### setAttributeList

    public ContractParameterGroup setAttributeList(List<? extends AbstractSpecAttr> attributes)
    Overrides:
      `setAttributeList` in class `EntitySpec`